import { Button, TextField } from "@mui/material";
import { memo } from "react";
import CustomSelect from '../UI/СustomSelect/СustomSelect'

const priorities = [{value: '', text: '--Приоритет--'}, {value: 'A', text: 'A'}, {value: 'B', text: 'B'}, {value: 'C', text: 'C'}]


function MonthCalendarModalContent({title, onChangeCurrentTaskHandler, description, priority, sendNewTaskHandler, deleteTaskHandler}) {
  return (<>
    <TextField 
      id="task-description-title" 
      value={title}
      label="Название" 
      variant="outlined" 
      sx={{marginBottom: '30px'}}
      name='title'
      onChange={(e)=>{onChangeCurrentTaskHandler(e)}}
    />
    <TextField 
      id="task-description" 
      multiline
      rows={4}
      value={description}
      label="Описание" 
      variant="outlined" 
      sx={{marginBottom: '30px'}} 
      name='description'
      onChange={(e)=>{onChangeCurrentTaskHandler(e)}}
    />

    <CustomSelect
      defaultValue={''}
      value={priority}
      name={'priority'}
      variant={'outlined'}
      onChange={(e)=>{onChangeCurrentTaskHandler(e)}}
      label={'Приоритет'}
      id={'priority-type'}
      items={priorities}
    />
    <div style={{display: 'flex', gap: '20px', margin: '20px 0'}}>
      <TextField 
        id="task-description-title" 
        value={title}
        label="От" 
        variant="outlined" 
        name='title'
        onChange={(e)=>{onChangeCurrentTaskHandler(e)}}
      />
      <TextField 
        id="task-description-title" 
        value={title}
        label="До" 
        variant="outlined" 
        name='title'
        onChange={(e)=>{onChangeCurrentTaskHandler(e)}}
      />
    </div>
    <div style={{display: 'flex', gap: '20px', margin: '10px 0'}}>
      <Button onClick={sendNewTaskHandler}>Сохранить</Button>
      <Button onClick={deleteTaskHandler}>Удалить</Button>
    </div>
  </>);
}

export default memo(MonthCalendarModalContent);